<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="GENERATOR" content="Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686) [Netscape]">
   <title>LDAS Software Test Suite</title>
</head>
<body>

    <center><h1>How to rsync ldas builds</h1></center>
To rsync builds of the supported platforms from ldas-dev to another site e.g. ldas-test, 
<ul>
<li>Login as user install to solaris host containing the build e.g. <b>ldas-dev gateway</b>.</li>
<li><pre><font color='brown'>cd /ldas/stow_pkgs
/export/ldcg_server/ldas_prod/solaris/stow_pkgs

ldas-1.4.0-opt/  ldas-1.6.0-opt/  ldas-1.8.0-opt/    ldas-1.9.167-opt/
ldas-1.5.0-opt/  ldas-1.7.0-opt/  ldas-1.9.0-opt/    ldas-1.9.168-opt/
ldas-1.5.1-opt/  ldas-1.7.1-opt/  ldas-1.9.166-opt/  ldas-1.9.169-opt/</font></pre></li>
<li>To rsync the solaris build e.g. version ldas-1.9.169 <pre><font color='brown'>rsync -Havz ldas-1.9.169-opt install@ldas-test:/ldas/stow_pkgs</font></pre></li>
<li>To rsync the centos5_x86 build, <pre><font color='brown'>cd /export/ldcg_server/ldas_prod/centos5_x86/stow_pkgs;
rsync -Havz ldas-1.9.169-opt install@ldas-test:/export/ldcg_server/ldas_prod/centos5_x86/stow_pkgs</font></pre></li>
<li>To rsync the solaris 10 opteron build, <pre><font color='brown'>cd /export/ldcg_server/ldas_prod/opteron_sol10/stow_pkgs;
rsync -Havz ldas-1.9.169-opt install@ldas-test:/export/ldcg_server/ldas_prod/opteron_sol10/stow_pkgs</font></pre></li>
<li>To rsync the intel_linux build, <pre><font color='brown'>cd /export/ldcg_server/ldas_prod/intel_linux/stow_pkgs;
rsync -Havz ldas-1.9.169-opt install@ldas-test:/export/ldcg_server/ldas_prod/intel_linux/stow_pkgs</font></pre></li> 
<font color='magenta'>Note: preserving hard links with -H option is a must so the entire directory structure gets copied over.</font><p>

<li>Helper scripts are installed in ~install/bin
	<ul>
		<li><CODE><font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/stow_builds?rev=HEAD;content-type=text%2Fplain'>stow_builds - stow solaris,centos5_x86 and opteron_sol10 builds</a></font></li>
		<li><CODE><font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/cpchgs?rev=HEAD;content-type=text%2Fplain'>cpchgs - copy a file on solaris to the other platform builds</a></font></li>
		<li><CODE><font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/cpchgs?rev=HEAD;content-type=text%2Fplain'>set_report - copies /ldas_outgoing/logs/report.html as a nightly test report html</a></font></li>

        
<p>
</body>
</html>
